mbed_lstools.lstools_base Namespace Reference

## Classes

class | FSInteraction
class | MbedLsToolsBase

## Functions

def | deprecated (reason)

## Variables

| mbedls_root_logger = logging.getLogger("mbedls")
| logger = logging.getLogger("mbedls.lstools_base")

## Detailed Description

    mbed SDK
    Copyright (c) 2011-2015 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

## Function Documentation

## deprecated()

def mbed_lstools.lstools_base.deprecated | ( |  | reason | ) |

    Deprecate a function/method with a decorator

Definition at line 38 of file lstools_base.py.

## Variable Documentation

## logger

mbed_lstools.lstools_base.logger = logging.getLogger("mbedls.lstools_base")

Definition at line 35 of file lstools_base.py.

## mbedls_root_logger

mbed_lstools.lstools_base.mbedls_root_logger = logging.getLogger("mbedls")

Definition at line 32 of file lstools_base.py.